﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace GaugeControl
{
  public class AngleToPointConverter : IValueConverter
  {
    private const double ToRadians = Math.PI /180;

    public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      double scale = double.Parse((string)parameter);
      double angle = (double)value;
      return new Point(
        100 + scale * Math.Sin(angle*ToRadians),
        100 - scale * Math.Cos(angle*ToRadians));
    }

    public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      throw new NotImplementedException();
    }
  }
}
